<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Announcement plugin properties</title>
    <author email="vmassol@apache.org">Vincent Massol</author>
  </properties>

  <body>
    <section name="Announcement plugin properties">
      <table>
        <tr><th>Property</th><th>Optional?</th><th>Description</th><th>Default</th></tr>
        <tr>
          <td>maven.announcement.version</td>
          <td>Yes</td>
          <td>
            Version for which to create a release note.       	
          </td>
          <td>
            <code>${pom.currentVersion}</code>
          </td>
        </tr>
        <tr>
          <td>maven.announcement.file</td>
          <td>Yes</td>
          <td>
            The file name that the announcement is generated into.
          </td>
          <td>
            <code>${maven.build.dir}/announcement.txt</code>
          </td>
        </tr>
        <tr>
          <td>maven.announcement.distributionUrl</td>
          <td>Yes</td>
          <td>
            Distribution location. For now, this property does not exist in 
            the POM (there's only a distributionSite and distributionDirectory 
            which don't map to anything for the web). We'll need to remove this
            property once it makes it into the POM.
          </td>
          <td>
            <code>${maven.repo.remote}/${pom.groupId}/plugins</code>
          </td>
        </tr>
      </table>
    </section>
  </body>
</document>
